# Integrate into rToken App

### **StaFiHub App**

The front-end interactive DApp, on which users can stake the target chain token, unbond the token, participate in DEX transactions, etc. StaFiHub holds the app that integrates all rTokens, and you can easily add a new chain configuration to integrate a new rToken.

### **How to integrate?**

Make your PR to [StaFiHub App](https://github.com/stafihub/stafihub-app).

Add your chain config like [this](https://github.com/stafihub/stafihub-app/blob/main/packages/apps-config/src/chains/mainnet/cosmos.json).

**config example:**

```
{
  "chainName": "Cosmos",
  "chainId": "cosmoshub-4",
  "displayHubName": "CosmosHub",
  "rpc": "xxx",
  "restEndpoint": "xxx",
  "denom": "uatom",
  "coinDenom": "ATOM",
  "decimals": 6,
  "bech32Config": {
    "bech32PrefixAccAddr": "cosmos",
    "bech32PrefixAccPub": "cosmospub",
    "bech32PrefixValAddr": "cosmosvaloper",
    "bech32PrefixValPub": "cosmosvaloperpub",
    "bech32PrefixConsAddr": "cosmosvalcons",
    "bech32PrefixConsPub": "cosmosvalconspub"
  },
  "explorerUrl": "https://ping.pub/cosmos",
  "defaultApy": "19",
  "sortIndex": 1,
  "isNativeKeplrChain": true
}
```

chainName: Display in the wallet page of StaFiHub App or in keplr wallet if keplr does not support the chain by default.

displayHubName: Display in IBC bridge of StaFiHub App.

defaultApy: The default staking apy of the target chain. Initialize display in StaFiHub App. It is useless when the rToken service is officially running for a few days.

isNativeKeplrChain: It is true if keplr has integrated your chain, false otherwise.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stafihub.io/welcome-to-stafihub/rtoken/integrate-rtoken/integrate-into-rtoken-app.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
